
{% extends "base.html" %}
{% load static %}
{% load i18n %}
{% block content %}


<div class="row">
    <div class="col-lg-12">
        <div class="card">
            <div class="card-header d-flex justify-content-between">
                <h4 class="card-title">Details</h4>

                <div class="button-items text-right">
                    <a href="{% url 'tenants:tenant_update' instance.pk %}" class="btn btn-warning btn-icon-square-sm"><i class="fas fa-pen"></i></a>
                    <a href="{% url 'tenants:tenant_delete' instance.pk %}" data-id="{{ instance.pk }}" data-text="Are you sure you want to delete this Item?" data-title="Are you sure?" class="btn btn-danger btn-icon-square-sm action-button remove redirect"><i class="fas fa-trash-alt" title="Delete"></i></a>
                </div>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="list-group lg-alt c-overflow col-md-4 mb-2">
                        <div class="list-group-item media">
                            <div class="media-body">
                                <div class="lgi-heading">Name</div><small class="lgi-text"> {{instance.name}}</small>
                            </div>
                        </div>
                    </div>
                    <div class="list-group lg-alt c-overflow col-md-4 mb-2">
                        <div class="list-group-item media">
                            <div class="media-body">
                                <div class="lgi-heading">Address</div><small class="lgi-text"> {{instance.address}}</small>
                            </div>
                        </div>
                    </div>
                    <div class="list-group lg-alt c-overflow col-md-4 mb-2">
                        <div class="list-group-item media">
                            <div class="media-body">
                                <div class="lgi-heading">Location</div><small class="lgi-text"> {{instance.location}}</small>
                            </div>
                        </div>
                    </div>

                    <div class="list-group lg-alt c-overflow col-md-4 mb-2">
                        <div class="list-group-item media">
                            <div class="media-body">
                                <div class="lgi-heading">Creator</div><small class="lgi-text"> {{instance.creator}} ({{instance.date_added|date:datetime_format}})</small>
                            </div>
                        </div>
                    </div>

                    <div class="list-group lg-alt c-overflow col-md-4 mb-2">
                        <div class="list-group-item media">
                            <div class="media-body">
                                <div class="lgi-heading">Updater</div><small class="lgi-text"> {{instance.updater|default:"-"}} {% if instance.date_updated %}({{instance.date_updated|date:datetime_format}}){% endif %}</small>
                            </div>
                        </div>
                    </div>


                </div>



            </div>
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between">
                        <h4 class="card-title">Documents</h4>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <table class="table table-tranx">
                                <thead>
                                    <tr>
                                        <th>Type</th>
                                        <th>File</th>

                                    </tr>
                                </thead>
                                <tbody>
                                    {% for tenant_document in instance.tenantdocument_set.all %}
                                    <tr class="form_set_row">
                                        <td>{{tenant_document.document_type}}</td>
                                        <td>
                                            <a target="_blank" href="{{tenant_document.file.url}}">View</a>
                                            <a href="{{tenant_document.file.url}}"><i class="fas fa-download"></i></a>
                                        </td>
                                    </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header d-flex justify-content-between">
                        <h4 class="card-title">Units</h4>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <table class="table table-tranx">
                                <thead>
                                    <tr>
                                        <th>Name</th>
                                        <th>Agreement end date</th>
                                        <th>Upcoming rent date</th>
                                        <th>Agreement</th>
                                        <th>Active</th>
                                        <th>Rent</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% for item in instance.tenantunitassign_set.all %}
                                    <tr class="form_set_row">

                                        <td>{{item.unit}}</td>
                                        <td>{{item.agreement_end_date}}</td>
                                        <td>{{item.upcoming_rent_date}}</td>
                                        <td>{{item.agreement}}</td>
                                        <td>{{item.is_active|yesno:"&#x2705;,&#10060;"|safe}}</td>
                                        <td>{{item.unit.rent}}</td>
                                        <td>
                                            {% if item.agreement %}
                                            <a target="_blank" href="{{item.agreement.url}}">View</a>
                                            <a href="{{item.agreement.url}}"><i class="fas fa-download"></i></a>
                                            {% endif %}
                                        </td>

                                    </tr>
                                    {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
    <!--end col-->
</div>

{% endblock %}
{% block static %}
{% endblock %}